**[[続・質問箱/321]] [#x30b6144]
#author("2018-03-11T14:00:26+09:00;2005-07-16T01:08:05+09:00","","")
**[[質問箱/2321]] [#x30b6144]
|RIGHT:70|LEFT:410|c
|~カテゴリ||
|~サマリ|認証エラー(auth.phpが原因?)|
|~バージョン|1.4.4|
|~投稿者|[[テスター]]|
|~状態|完了|
|~投稿日|&new{2004-09-05 (日) 05:45:19};|
***質問 [#kdaef392]
現在、1.4.4を試しているのですが、
lib/auth.phpの105行目辺りの
 102:	if (!isset($_SERVER['PHP_AUTH_USER'])
 103:		or !in_array($_SERVER['PHP_AUTH_USER'],$user_list)
 104:		or !array_key_exists($_SERVER['PHP_AUTH_USER'],$auth_users)
 105:		or $auth_users[$_SERVER['PHP_AUTH_USER']] != $_SERVER['PHP_AUTH_PW'])
 106:	{
において、上記「105:」のラインの最後
 $_SERVER['PHP_AUTH_PW'])
は、
 md5($_SERVER['PHP_AUTH_PW']))
ではないのですか?
編集認証でうまく行かなかったので、前のバージョンと比較して変更したらうまく行ったので。。。

バグに書くかで悩みましたが、phpよく分かってないので、質問に書きました。

***回答 [#udf137d2]
-おはようございます。早いですね (^^;  「前のバージョン」というのが何かを探せていないのですが、何でしょうか? 1.4.3 の時もその行はそのままの様です。 -- [[henoheno]] &new{2004-09-05 (日) 09:29:57};
-henohenoさん、ありがとうございます。どうやら私の環境だけのようでした。お騒がせして申し訳ありません。ちなみに、以前のバージョンは1.4.2だったのですが、該当する行はやはりそのままでした。スイマセン。xreaの(中でも)うちのサーバ環境だけなのかもしれませんが、$_SERVER['PHP_AUTH_PW']が平文でしたので、自分で昔追加したのかもしれません。(覚えてないのですが。。。) それ以外では1.4.4は今のところ順調です。ありがとうございました。 -- [[テスター]] &new{2004-09-05 (日) 18:34:19};
-(^^; 一回、1.4.4 を新規に立ててみると、切り分けができていいと思いますよ。また何かあれば [[dev:BugTrack]]の方にアラートを挙げて下さい。よろしくお願いします。 -- [[henoheno]] &new{2004-09-06 (月) 21:23:30};

#comment

トップ   編集 差分 バックアップ 添付 複製 名前変更 リロード   新規 一覧 検索 最終更新   ヘルプ   最終更新のRSS
Site admin: PukiWiki Development Team

PukiWiki 1.5.3+ © 2001-2020 PukiWiki Development Team. Powered by PHP 5.6.40-0+deb8u12. HTML convert time: 0.050 sec.

OSDN